Skip to main content
POST
/
v1
/
plans
/
{id}
/
un-archive
Un-archive a plan
curl --request POST \
  --url https://api.bondio.co/v1/plans/{id}/un-archive \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "dataMegaBytes": 123,
  "voiceMinutes": 123,
  "smsMessages": 123,
  "periodDays": 123,
  "periodIterations": 1,
  "throttledSpeedKbps": 0,
  "archivedAt": 123,
  "label": "<string>",
  "coverage": {
    "id": "<string>",
    "name": "<string>",
    "label": "<string>",
    "countries": [
      {
        "name": "<string>",
        "iso2": "<string>",
        "iso3": "<string>",
        "indicator": "<string>",
        "operators": [
          {
            "name": "<string>",
            "supportedRats": [
              "<string>"
            ]
          }
        ]
      }
    ]
  },
  "createdAt": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

2XX - application/json

Success

id
string
name
string
dataMegaBytes
integer
voiceMinutes
integer | null
smsMessages
integer | null
periodDays
integer

Plan validity in days

periodIterations
integer
default:1

Number of times the periodDays should be repeated.

throttledSpeedKbps
integer
default:0

Speed after allocated data is used up. The default zero means no usage allowed afterwards.

archivedAt
integer | null
label
string

The plan-esim compatibility label

coverage
Coverage · object
Example:
{
"id": "cvpr_hdy2da3n",
"name": "Australia region",
"label": "lambda",
"countries": [
{
"name": "Australia",
"iso2": "AU",
"iso3": "AUS",
"indicator": "A",
"operators": [
{
"name": "Telstra",
"supportedRats": ["4g", "5g"]
}
]
}
]
}
createdAt
integer